Loading...
Searching...
No Matches
Opm::Rock2dTable Class Reference

## Public Member Functions

void | init (const Opm::DeckRecord &record, size_t tableIdx)
size_t | size () const
size_t | sizeMultValues () const
double | getPressureValue (size_t index) const
double | getPvmultValue (size_t pressureIndex, size_t saturationIndex) const
bool | operator== (const Rock2dTable &data) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static Rock2dTable | serializationTestObject ()

## Protected Attributes

std::vector< std::vector< double > > | m_pvmultValues
std::vector< double > | m_pressureValues

The documentation for this class was generated from the following files:

- opm/input/eclipse/EclipseState/Tables/Rock2dTable.hpp
- opm/input/eclipse/EclipseState/Tables/Rock2dTable.cpp